# std::__detail Namespace Reference
[Random Number Generation]

Implementation details not part of the namespace std interface. More...

## Functions

- template<class _Iterator > std::iterator_traits
  < _Iterator >::difference_type __distance_fw (_Iterator __first, _Iterator __last, std::input_iterator_tag)
- template<class _Iterator > std::iterator_traits
  < _Iterator >::difference_type __distance_fw (_Iterator __first, _Iterator __last, std::forward_iterator_tag)
- template<class _Iterator > std::iterator_traits
  < _Iterator >::difference_type __distance_fw (_Iterator __first, _Iterator __last)
- template<typename _InputIterator , typename _OutputIterator , typename _UnaryOperation > _OutputIterator __transform (_InputIterator __first, _InputIterator __last, _OutputIterator __result, _UnaryOperation __unary_op)
- template<typename _Value , bool __cache> bool operator!= (const _Node_iterator_base< _Value, __cache > &__x, const _Node_iterator_base< _Value, __cache > &__y)
- template<typename _Value , bool __cache> bool operator!= (const _Hashtable_iterator_base< _Value, __cache > &__x, const _Hashtable_iterator_base< _Value, __cache > &__y)
- template<typename _Value , bool __cache> bool operator== (const _Node_iterator_base< _Value, __cache > &__x, const _Node_iterator_base< _Value, __cache > &__y)
- template<typename _Value , bool __cache> bool operator== (const _Hashtable_iterator_base< _Value, __cache > &__x, const _Hashtable_iterator_base< _Value, __cache > &__y)

## Variables

- const unsigned long __prime_list []

## Detailed Description

Implementation details not part of the namespace std interface.